Subject: Re: [weirds] Security Requirements: Data Integrity

From: Edward Lewis <[email-masked]>
Date: Thu, 1 Nov 2012 08:50:58 -0400

>>  -----Original Message-----
>>  From: Murray S. Kucherawy [mailto:[email-masked]]
>>  Sent: Sunday, October 21, 2012 12:14 AM
>>  To: Hollenbeck, Scott
>>  Cc: [email-masked]
>>  Subject: Re: [weirds] Security Requirements: Data Integrity
>>
>>  On Mon, Oct 15, 2012 at 7:07 AM, Hollenbeck, Scott
>>  <[email-masked]> wrote:
>>  > Data integrity ("The property that data has not been changed,
>>  >destroyed, or lost in an unauthorized or accidental manner") is another
>>  >security service ...

Murray:
>>  Could this be the same as, or related to, ICANN's vague "validation"
>>  requirement?

At 11:18 +0000 10/22/12, Hollenbeck, Scott wrote:
>I think people will conflate the two, but that's not really what I'm getting
>it. I'm approaching the integrity question from the perspective of protecting
>the client-server data exchange. I'm having a hard time figuring out how to
>cast the data validation thing as a security requirement. It sounds like more
>of a policy or data use requirement/need to me.

I agree with Scott.  "Data integrity" only means "Garbage-In Garbage 
Out" across the system, ICANN's call for validation is "No Garbage."

For example: In DNSSEC, the signature there protects data from the 
time it was given to the DNS zone administrator to the DNS client. 
In no way does DNSSEC ensure the data given to the administrator was 
correct.  I.e., if you add a server at 259.20.31.399 but tell the 
admin it's 259.31.20.399, DNSSEC won't fix that but make sure 
everyone gets the mistake.

-- 
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Edward Lewis
NeuStar                    You can leave a voice message at +1-571-434-5468

2012...time to reuse those 1984 calendars!

---

From: SM <[email-masked]>
Date: Thu, 01 Nov 2012 07:23:54 -0700

>Out" across the system, ICANN's call for validation is "No Garbage."

Yes.

Data validation is a non-technical requirement.

Regards,
-sm